---
title: flood-opacity
slug: Web/SVG/Attribute/flood-opacity
tags:
  - SVG
  - SVG Attribute
  - SVG Filter
---
<div>{{SVGRef}}</div>

<p>The <strong><code>flood-opacity</code></strong> attribute indicates the opacity value to use across the current filter primitive subregion.</p>

<p class="note"><strong>Note:</strong> As a presentation attribute, <code>flood-opacity</code> can be used as a CSS property.</p>

<p>As a presentation attribute, it can be applied to any element but it has effect only on the following two elements: {{SVGElement("feFlood")}} and {{SVGElement("feDropShadow")}}</p>

<div id="topExample">
<div class="hidden">
<pre class="brush: css">html, body, svg {
  height: 100%;
}</pre>
</div>

<pre class="brush: html; hightlight[3,6]">&lt;svg viewBox="0 0 420 200" xmlns="http://www.w3.org/2000/svg"&gt;
  &lt;filter id="flood1"&gt;
    &lt;feFlood flood-color="seagreen" flood-opacity="1" x="0" y="0" width="200" height="200"/&gt;
  &lt;/filter&gt;
  &lt;filter id="flood2"&gt;
    &lt;feFlood flood-color="seagreen" flood-opacity="0.3" x="0" y="0" width="200" height="200"/&gt;
  &lt;/filter&gt;

  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#flood1);" /&gt;
  &lt;rect x="0" y="0" width="200" height="200" style="filter: url(#flood2); transform: translateX(220px);" /&gt;
&lt;/svg&gt;</pre>

<p>{{EmbedLiveSample("topExample", "420", "200")}}</p>
</div>

<h2 id="Usage_notes">Usage notes</h2>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Value</th>
   <td><code>&lt;alpha-value&gt;</code></td>
  </tr>
  <tr>
   <th scope="row">Initial value</th>
   <td><code>1</code></td>
  </tr>
  <tr>
   <th scope="row">Animatable</th>
   <td>Yes</td>
  </tr>
 </tbody>
</table>

<dl>
 <dt><code>&lt;alpha-value&gt;</code></dt>
 <dd>A number or percentage indicating the opacity value to use across the current filter primitive subregion.<br>
 A number of <code>0</code> or a percentage of <code>0%</code> represents a fully transparent color,  <code>1</code> or <code>100%</code> represents a fully opaque color.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Filters 1.0", "#FloodOpacityProperty", "flood-opacity")}}</td>
   <td>{{Spec2("Filters 1.0")}}</td>
   <td>Aligned the value to the CSS <code>&lt;alpha-value&gt;</code> value.</td>
  </tr>
  <tr>
   <td>{{SpecName("SVG1.1", "filters.html#FloodOpacityProperty", "flood-opacity")}}</td>
   <td>{{Spec2("SVG1.1")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("svg.attributes.presentation.flood-opacity")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{SVGAttr("flood-color")}}</li>
</ul>
